<template>
    <div class="slds-box slds-theme_default" style="height: 100%;">
        <div class="slds-grid slds-wrap">
            <div class="slds-col slds-size_5-of-12">
                <div class="slds-text-heading_large slds-p-top_x-large">Welcome!</div>
                <div class="slds-text-heading_small slds-p-top_large">This is an educational application. It provides an ability<br>to draw a fractal,
                    transform math figures, change images<br> brightness and see colors in different color models.<br><br>Get started!
                </div>
                <img class="home-img" src={homeImage}/>
            </div>
            <div class="slds-col slds-size_7-of-12">
                <div class="slds-grid slds-wrap slds-gutters">
                    <div class="slds-col slds-size_6-of-12">
                        <div class="card">
                            <div class="slds-text-heading_medium slds-align_absolute-center">Fractal</div>
                            <div class="slds-text-heading_small slds-p-top_small">On this tab you can draw a Mandelbrot set (fractal) 
                                with different color schemes and scale.
                            </div>
                        </div>
                        <div class="card">
                            <div class="slds-text-heading_medium slds-align_absolute-center">Transform</div>
                            <div class="slds-text-heading_small slds-p-top_small">Fill in the verticals of rectangle and you will see it 
                                on a coordinate system. Then you can rotate and move it!
                            </div>
                        </div>
                    </div>
                    <div class="slds-col slds-size_6-of-12">
                        <div class="card">
                            <div class="slds-text-heading_medium slds-align_absolute-center">Colors</div>
                            <div class="slds-text-heading_small slds-p-top_small">Here you can upload an image and change its brightness 
                                and see colors in CMYK or HSL. Also, you are able to download changed image.
                            </div>
                        </div>
                        <div class="card">
                            <div class="slds-text-heading_medium slds-align_absolute-center">Educational</div>
                            <div class="slds-text-heading_small slds-p-top_small">This is an educational tab. If you have trouble 
                                understanding things - here is all you need. Read it!
                            </div>
                        </div>
                        <div class="help">
                            <button class="slds-button slds-button_icon slds-button_icon-inverse slds-float_right" onclick={handleModal}>
                                <lightning-icon class="slds-icon-text-light" icon-name="action:question_post_action" size="small" 
                                    style="background-color: #f3f3f3" alternative-text="Help" title="Help">
                                    <label>Help</label>
                                </lightning-icon>
                            </button>
                        </div>
                        <c-modal-window is-modal-open={isModalOpen} onclosemodal={handleModal} header-text="Help" 
                        body-text="Hi there! This is a home page. Choose any other tab to start working.">
                        </c-modal-window>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>